Replace upload data
Organization Admin permissions are required to use this endpoint.
Replace the data in an existing CSV upload.
The view’s uploaded_table_name property and references to it (returned as refreshedModelIds) will automatically update, but the upload’s ID will remain unchanged. This means that any documents, queries, views, etc. using the upload will be re-pointed to the new data. The previous data’s artifacts are left untouched.
Column data types
Columns already in the data input table keep their saved type and date format, and new columns are detected from the file. A value that doesn’t adhere to its column’s saved data type fails the request. To change a column’s type, delete the upload and create it again.Authorizations
Can be either an Organization API Key or Personal Access Token (PAT).
Include in the Authorization header as: Bearer YOUR_TOKEN
Path Parameters
The unique identifier of the upload
Body
The replacement CSV file (must have .csv extension). Fully replaces the existing data; existing columns keep their saved type and date format. Column renames/removals may break content referencing the old columns.
Response
Upload data replaced successfully
The upload ID. This will not change after uploading new data.
"550e8400-e29b-41d4-a716-446655440000"
File name of the replacement upload
"users_updated.csv"
View name. This will not change after uploading new data.
"users"
Database table name in the table upload (scratch) schema. This will be empty if the underlying connection doesn't have a table upload schema configured.
"omni_upload_t7c1e22ab"
Models whose view of this upload was re-pointed at the new data, including the upload's workbook model, or the connection's shared models holding a view backed by this upload.
Number of rows in the replacement file
152
Whether the file was truncated due to row limit
false

